#include <windows.h>
#include <commctrl.h>
#include <tchar.h>
#include <mmsystem.h>
#include "resource.h"

HINSTANCE g_hInst;

void OnPlayAVI(HWND hwndDlg)
{
	PlaySound(MAKEINTRESOURCE(IDR_OK), g_hInst, SND_RESOURCE | SND_ASYNC);
	Animate_Play(GetDlgItem(hwndDlg, IDC_ANIMATE),0,-1,-1);
}

void OnStopAVI(HWND hwndDlg)
{
	Animate_Stop(GetDlgItem(hwndDlg, IDC_ANIMATE));
}

void OnInitDialog(HWND hwndDlg)
{
	Animate_Open(GetDlgItem(hwndDlg, IDC_ANIMATE), MAKEINTRESOURCE(IDR_SEARCH));
	if ( LoadCursor(NULL, IDC_HAND) ) // IDC_HAND neznaj Win95 a NT
		SetClassLongPtr(GetDlgItem(hwndDlg, IDC_WWW), GCLP_HCURSOR,
			(LONG_PTR)LoadCursor(NULL, IDC_HAND));
}

INT_PTR CALLBACK DialogProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch ( uMsg )
	{
		case WM_COMMAND:
			switch ( LOWORD(wParam) )
			{
				case IDOK:
					Animate_Close(GetDlgItem(hwndDlg, IDC_ANIMATE));
					EndDialog(hwndDlg, IDOK);
					break;
				case IDC_PLAY_AVI:
					OnPlayAVI(hwndDlg);
					break;
				case IDC_STOP_AVI:
					OnStopAVI(hwndDlg);
					break;
				case IDC_WWW:
					ShellExecute(NULL, TEXT("open"), 
						TEXT("http://www.radekchalupa.cz"), NULL, NULL, SW_SHOW);
					break;
			}
			break;
		case WM_INITDIALOG:
			OnInitDialog(hwndDlg);
			break;
	}	
	return FALSE;
}

int WINAPI _tWinMain(HINSTANCE hInstance,	HINSTANCE hPrevInstance,
	LPTSTR lpCmdLine, int nCmdShow)
{
	g_hInst = hInstance;
	InitCommonControls();
	return (int)DialogBox(hInstance, MAKEINTRESOURCE(IDD_MAIN), NULL,
		(DLGPROC)DialogProc);
}